Package org.apache.sling.models.factory

# Class ModelClassException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.sling.models.factory.ModelClassException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `PostConstructException`

@ProviderType public class ModelClassException extends RuntimeException
Exception which is triggered when the Model class could not be instantiated due to not having a model annotation, some reflection error, invalid constructors or because some exception within the post construct method was triggered.

See Also:
  - `ModelFactory`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ModelClassException(String message)`
`ModelClassException(String message, Throwable e)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ModelClassException

public ModelClassException(String message)

### ModelClassException

public ModelClassException(String message, Throwable e)